class addOrderTpcAgentListResponse {
  List<TpcList>? tpcList;
  String? error;
  String? message;

  addOrderTpcAgentListResponse({this.tpcList, this.error, this.message});

  addOrderTpcAgentListResponse.fromJson(Map<String, dynamic> json) {
    if (json['tpc_list'] != null) {
      tpcList = <TpcList>[];
      json['tpc_list'].forEach((v) {
        tpcList!.add(new TpcList.fromJson(v));
      });
    }
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.tpcList != null) {
      data['tpc_list'] = this.tpcList!.map((v) => v.toJson()).toList();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class TpcList {
  String? id;
  String? text;

  TpcList({this.id, this.text});

  TpcList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    text = json['text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['text'] = this.text;
    return data;
  }
}
